Package it.ernytech.tdlib

## Class TdApi.SearchInstalledStickerSets

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SearchInstalledStickerSets

Enclosing class:
  TdApi

    public static class TdApi.SearchInstalledStickerSets
    extends TdApi.Function

Searches for installed sticker sets by looking for specified query in their title and name.

Returns `StickerSets`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isMasks` Pass true to return mask sticker sets; pass false to return ordinary sticker sets.
`int` `limit` Maximum number of sticker sets to return.
`java.lang.String` `query` Query to search for.

### Constructor Summary

Constructors
`SearchInstalledStickerSets()` Default constructor.
`SearchInstalledStickerSets​(boolean isMasks, java.lang.String query, int limit)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### isMasks

    public boolean isMasks

Pass true to return mask sticker sets; pass false to return ordinary sticker sets.

#### query

    public java.lang.String query

Query to search for.

#### limit

    public int limit

Maximum number of sticker sets to return.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SearchInstalledStickerSets

    public SearchInstalledStickerSets()

Default constructor.

#### SearchInstalledStickerSets

    public SearchInstalledStickerSets​(boolean isMasks,
                                      java.lang.String query,
                                      int limit)

Constructor for initialization of all fields.

Parameters:
  `isMasks` - Pass true to return mask sticker sets; pass false to return ordinary sticker sets.
  `query` - Query to search for.
  `limit` - Maximum number of sticker sets to return.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR